:root {
  --color-white: #fff;
  --color-shade-100: #eee;
  --color-shade-500: #555;
  --color-shade-900: #222;
  --color-black: #000;
  --color-green-500: #b1cd49;
  --color-primary-500: var(--color-green-500);
}

*,
*::before,
*::after {
  margin: 0;
  padding: 0;
  box-sizing: inherit;
}

html,
body {
  width: 100%;
  height: 100%;
}

html {
  box-sizing: border-box;
  font-size: 24px;
  background-color: var(--color-white);
}

body {
  font-size: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  color: var(--color-black);
  background: linear-gradient(to bottom, rgba(255, 255, 255, 0.7), rgba(255, 255, 255, 1)), url("/images/bg.jpg");
  background-size: cover;
  background-position: center;
  animation: 3000ms appear;
  font-family: sans-serif;
  font-weight: 400;
}

#logo {
  max-width: 100%;
  width: 24em;
  padding: 0 1.6em 2.4em;
}

#logo img {
  display: block;
  vertical-align: middle;
  width: auto;
  width: 100%;
  object-fit: contain;
}

nav {
  display: grid;
  grid-template-columns: 1fr;
  grid-template-rows: auto;
  gap: 2em;
}

@media (min-width: 1024px) {
  nav {
    grid-template-columns: 1fr 1fr 1fr;
    grid-template-rows: auto;
  }
}

nav a {
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 1em;
  width: 100%;
  height: 100%;
  line-height: 1;
  text-decoration: none;
  color: currentColor;
  padding: 1.6em 2.4em;
  transition: 125ms opacity;
  background-color: var(--color-white);
  border: 3px solid var(--color-white);
  border-radius: 0.8rem;
  box-shadow: 0 0.8em 1.6em -0.4em rgba(0, 25, 50, 0.1);
  transition-property: border, box-shadow, transform, background-color;
  transition-timing-function: cubic-bezier(0.075, 0.82, 0.165, 1);
  transition-duration: 250ms;
  transform: scale(1);
}

nav a:hover,
nav a:focus {
  opacity: 1;
  outline: none;
  border: 3px solid var(--color-primary-500);
  box-shadow: 0 0.8em 2.4em -0.4em rgba(0, 25, 50, 0.2);
  transform: scale(1.05);
}

nav a:active {
  background-color: var(--color-primary-500);
  transform: scale(1);
}

@keyframes appear {
  0% {
    opacity: 0;
  }
}
